# Debtor Notes

## Overview

The **Debtor Notes API** allows you to **create, update, or delete** debtor notes. This includes different types of notes, such as **Internal Notes, Text Notes,** and **Promise to Pay arrangements** (see the [Get Note Types](/v2/reference/finance+/debt-management/debtor-notes/get-note-type-s.md) page for more information).

* **Create / Update a Debtor Note:**\
  Use the Debtor Notes API to add or modify a note. This applies to all note types, including **Promise to Pay arrangements**.
* **Delete a Debtor Note:**\
  Standard debtor notes can be deleted using the Debtor Notes API.
* **Deleting Promise to Pay Arrangements:**
  * Promise to Pay arrangements are **created and updated** as part of a debtor note.
  * However, to **delete individual Promise to Pay arrangements** from a note, you must use the **separate Delete Promise to Pay API call**.

### Debtor Notes API Calls

[Get Communication Type(s)](/v2/reference/finance+/debt-management/debtor-notes/get-communication-type-s.md)

[Get Note Type(s)](/v2/reference/finance+/debt-management/debtor-notes/get-note-type-s.md)

[Get Note](/v2/reference/finance+/debt-management/debtor-notes/get-note-s.md)

[Update Note](/v2/reference/finance+/debt-management/debtor-notes/update-note.md)

[Delete Note](/v2/reference/finance+/debt-management/debtor-notes/delete-note.md)

[Get Promise to Pay(s)](/v2/reference/finance+/debt-management/debtor-notes/get-promise-to-pay-record-s.md)

[Delete Promise to Pay](/v2/reference/finance+/debt-management/debtor-notes/delete-promise-to-pay.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.d6plus.co.za/v2/reference/finance+/debt-management/debtor-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
